.order_summary_table{
    display: flex;
    justify-content: space-between;
    padding: 1cqw 0cqw 1cqw 0cqw;
}

.shipping_option_checkbox{
    height: 1.5cqw;
    width: 1.5cqw;
    border: 0.2cqw solid black;
    cursor: pointer;
    box-shadow: inset 0cqw 0cqw 0cqw 0.15cqw #ffffff;
    align-self: center;
    align-content: center;
}

.shipping_option_container{
    cursor: pointer;
    display: flex;
}

.shipping_price_container{
  font-size: 2cqw;
  margin-left: 2cqw;
}

@keyframes pulse_grey {
  0%, 100% { background-color: rgb(180, 180, 180); } /* Light grey */
  50% { background-color: rgb(209, 213, 219); }    /* Darker grey */
}

@keyframes pulse_red {
  0%, 100% { background-color: rgb(176, 22, 22); } /* Your base red */
  50% { background-color: rgb(212, 56, 56); }    /* Perfectly matched lighter pulse */
}

@keyframes input_pulse_red{
  0% { background-color: transparent; }
  50% { background-color: rgba(255, 0, 0, 0.587); } /* Soft red flash */
  100% { background-color: rgba(255, 0, 0, 0.4); }
}

.input_error_animation {
    animation: input_pulse_red 1.2s ease-in-out forwards;
}

.is_loading_grey {
  animation: pulse_grey 2s ease-in-out infinite;
}

.is_loading_red{
    animation: pulse_red 2s ease-in-out infinite;
}

.inputs{
  background-color: rgb(237, 237, 237);
  border: 0px;
  border-bottom: 0.2cqw solid black;
  font-weight: 100;
  
}

.inputs::placeholder{
  font-family: "Roboto Flex";
  padding-left: 1cqw;
  color: rgb(114, 114, 114);
}

.empty_input_warning{
  font-size: 1.5cqw;
  color: rgb(254, 45, 45);
  padding-top: 0.3cqw;
  display: none;
}